VERIFIED SOLUTION i

How to understand the Spectrum 10.0 Location Intelligence Module Map Uploader compatibility with previous Spectrum Vintages

The Map Uploader provided by the Spectrum 10.0 Location Intelligence Module (LIM) will only work in MapInfo Professional when uploading .tab file to Spectrum 10 servers or later.

The Spectrum 10.0 vintage of the Map Uploader tool will not work when uploading maps to previous vintages of Spectrum.  This is to say that the Map Uploader provided by Spectrum 10 will not work with Spectrum 9.3 or earlier.
UPDATED:  September 5, 2017